---
title: How to
slug: Tools/Performance/How_to
---
<div>{{ToolsSidebar}}</div><h2 id="Open_the_Performance_tools">Open the Performance tools</h2>

<p>To open the Performance tools:</p>

<ul>
 <li>press Shift + F5</li>
 <li>select "Performance" from the Web Developer submenu in the Firefox Menu (or Tools menu if you display the menu bar or are on OS X)</li>
 <li>select "Performance" from Tools button, in the Toolbar, if you have one:<img alt="" src="https://mdn.mozillademos.org/files/10997/devtools-button.png" style="height: 76px; width: 728px;"></li>
</ul>

<h2 id="Record_a_profile">Record a profile</h2>

<p>To start a new recording, press the stopwatch icon in the Recordings pane. To stop, press it again:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13230/perf-record.png" style="display: block; height: 346px; margin-left: auto; margin-right: auto; width: 799px;"></p>

<p>You can also start and stop recording from the Web Console, using <code><a href="/en-US/docs/Web/API/Console/profile">console.profile()</a></code> and <code><a href="/en-US/docs/Web/API/Console/profileEnd">console.profileEnd()</a></code>.</p>

<h2 id="Save_a_profile">Save a profile</h2>

<p>To save a profile, click the link labeled "Save" in the Recordings pane:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13232/perf-save.png" style="display: block; height: 333px; margin-left: auto; margin-right: auto; width: 799px;"></p>

<h2 id="Load_a_profile">Load a profile</h2>

<p>To load a profile, click "Import..." and choose the file:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13226/perf-load.png" style="display: block; height: 694px; margin-left: auto; margin-right: auto; width: 799px;"></p>

<h2 id="Clear_all_loaded_profiles">Clear all loaded profiles</h2>

<p>To clear all loaded profiles, click "Clear".</p>

<div class="note">
<p>If you do this, you'll lose any loaded profiles that you have not saved.</p>
</div>

<p><img alt="" src="https://mdn.mozillademos.org/files/13224/perf-clear.png" style="display: block; height: 353px; margin-left: auto; margin-right: auto; width: 818px;"></p>

<h2 id="Select_a_tool">Select a tool</h2>

<p>To switch between the <a href="/en-US/docs/Tools/Performance/Waterfall">Waterfall</a>, <a href="/en-US/docs/Tools/Performance/Call_Tree">Call Tree</a>, and <a href="/en-US/docs/Tools/Performance/Flame_Chart">Flame Chart</a> tools, use the buttons in the toolbar:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13234/perf-select.png" style="display: block; height: 347px; margin-left: auto; margin-right: auto; width: 799px;"></p>

<h2 id="Configure_markers_displayed">Configure markers displayed</h2>

<p>To control which markers are shown in the <a href="/en-US/docs/Tools/Performance/Waterfall">Waterfall</a>, use the button in the toolbar:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13228/perf-markers.png" style="display: block; height: 347px; margin-left: auto; margin-right: auto; width: 799px;"></p>

<h2 id="Zoom_in">Zoom in</h2>

<p>To zoom into a slice of the recording, select that slice in the recording overview:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/13236/perf-zoom.png" style="display: block; height: 333px; margin-left: auto; margin-right: auto; width: 799px;"></p>
